Scrum - Defect #1093

Internal error when adding time to task
2015-08-21 15:29 - Fredrik Ahlback

Status: Resolved

Priority: Normal

Category: Sprint board

Target version: Scrum v0.13.1

Source: Customer Blocked: No
Detected on version: Scrum v0.12.0 Alone:

Description

When i add time (pending time or spent effort) to an task and go to/from the sprint tab i get the following error:
Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
Whith the following dump in the log:

F, [2015-08-19T16:05:57.760682 #13826] FATAL —-—

ActionView: :Template: :Error (undefined method “total_estimated_hours' for #<Issue:0x00000004aaa808
>)

13: :title => 1(:label_add_task, :tracker => tracker.name) >

14: <- end >

15: < end -%>

16: <%= render_issue_icons (pbi) %>

17: <%= render :partial => "post_its/sprint_board/fields", :formats => [:html],

18: :locals => {:project => project, :issue => pbi} %>

19: <div>

activemodel (4.2.0) lib/active_model/attribute_methods.rb:433:in “method_missing'
plugins/scrum/lib/scrum/issue_patch.rb:194:in " speed’
plugins/scrum/app/helpers/scrum_helper.rb:62:in "render_issue_icons'
plugins/scrum/app/views/post_its/sprint_board/_pbi.html.erb:16:in '_plugins_scrum_app_views_post_i
ts_sprint_board__pbi_html_erb_ 3611065326316032496_41165420"

actionview (4.2.0) lib/action_view/template.rb:145:in “block in render'

activesupport (4.2.0) lib/active_support/notifications.rb:166:in " instrument'

actionview (4.2.0) lib/action_view/template.rb:333:in "“instrument'

actionview (4.2.0) lib/action_view/template.rb:143:in "“render'

actionview (4.2.0) lib/action_view/renderer/partial_renderer.rb:339:in “render_partial'
actionview (4.2.0) lib/action_view/renderer/partial_renderer.rb:310:in “block in render'
actionview (4.2.0) lib/action_view/renderer/abstract_renderer.rb:39:in “block in instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in “block in instrument'
activesupport (4.2.0) lib/active_support/notifications/instrumenter.rb:20:in " instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in "~ instrument'

actionview (4.2.0) lib/action_view/renderer/abstract_renderer.rb:39:in "~ instrument'
actionview (4.2.0) lib/action_view/renderer/partial_renderer.rb:309:in "render'
actionview (4.2.0) lib/action_view/renderer/renderer.rb:47:in "“render_partial'

actionview (4.2.0) lib/action_view/renderer/renderer.rb:21:in "render'

actionview (4.2.0) lib/action_view/helpers/rendering_helper.rb:32:in "“render'
plugins/scrum/app/views/post_its/sprint_board/_pbi_row.html.erb:4:in ' _plugins_scrum_app_views_pos
t_its_sprint_board__pbi_row_html_erb_  2427020297454680731_31428560"

actionview (4.2.0) lib/action_view/template.rb:145:in “block in render'

activesupport (4.2.0) lib/active_support/notifications.rb:166:in "~ instrument'

actionview (4.2.0) lib/action_view/template.rb:333:in "“instrument'

actionview (4.2.0) lib/action_view/template.rb:143:in "“render'

actionview (4.2.0) lib/action_view/renderer/partial_renderer.rb:339:in "render_partial'
actionview (4.2.0) lib/action_view/renderer/partial_renderer.rb:310:in “block in render'
actionview (4.2.0) lib/action_view/renderer/abstract_renderer.rb:39:in “block in instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in “block in instrument'

2024-04-10 1/4




activesupport

activesupport

actionview
actionview
actionview
actionview
actionview

(4.
plugins/scrum/app/views/sprints/show.html.erb:20:in

(4
(4
0o
2
2
2

2

o O O

.0
.0)

2.0)
0Ba
)
)
)
)

0)

lib/active_support/notifications/instrumenter.rb:20:in " instrument'
lib/active_support/notifications.rb:164:in " instrument'

lib/action_view/renderer/abstract_renderer.rb:39:in " instrument'
lib/action_view/renderer/partial_renderer.rb:309:in " render'
lib/action_view/renderer/renderer.rb:47:in ‘render_partial'

lib/action_view/renderer/renderer.rb:21:1in

‘rende

r!

lib/action_view/helpers/rendering_helper.rb:32:in "render'

_html_erb_ 4489975924164603934_38312260"

plugins/scrum/app/views/sprints/show.html.erb:18:in
plugins/scrum/app/views/sprints/show.html.erb:18:in

“each'

"block in plugins_scrum_app_views_sprints_show

" _plugins_scrum_app_views_sprints_show_html_er

b 4489975924164603934_38312260"
actionview (4.2.0) lib/action_view/template.rb:145:in “block in render'
activesupport (4.2.0) lib/active_support/notifications.rb:166:in " instrument'
actionview (4.2.0) lib/action_view/template.rb:333:in ‘“instrument'
actionview (4.2.0) lib/action_view/template.rb:143:in "“render'
actionview (4.2.0) lib/action_view/renderer/template_renderer.rb:54:in "block (2 levels) in render
_template’
actionview (4.2.0) lib/action_view/renderer/abstract_renderer.rb:39:in “block in instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in “block in instrument'
activesupport (4.2.0) lib/active_support/notifications/instrumenter.rb:20:in "~ instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in " instrument'
actionview (4.2.0) lib/action_view/renderer/abstract_renderer.rb:39:in " instrument'
actionview (4.2.0) lib/action_view/renderer/template_renderer.rb:53:in ‘block in render_template'
actionview (4.2.0) lib/action_view/renderer/template_renderer.rb:61l:in "render_with_layout'
actionview (4.2.0) lib/action_view/renderer/template_renderer.rb:52:in "render_template'
actionview (4.2.0) lib/action_view/renderer/template_renderer.rb:14:in " render'
actionview (4.2.0) lib/action_view/renderer/renderer.rb:42:in “render_template'
actionview (4.2.0) lib/action_view/renderer/renderer.rb:23:in "render'
actionview (4.2.0) lib/action_view/rendering.rb:100:in '_render_template'
actionpack (4.2.0) lib/action_controller/metal/streaming.rb:217:in '_render_template'
actionview (4.2.0) lib/action_view/rendering.rb:83:in “render_to_body'
actionpack (4.2.0) lib/action_controller/metal/rendering.rb:32:in "“render_to_body'
actionpack (4.2.0) lib/action_controller/metal/renderers.rb:37:in "“render_to_body'
actionpack (4.2.0) lib/abstract_controller/rendering.rb:25:in "render'
actionpack (4.2.0) lib/action_controller/metal/rendering.rb:16:in "render'
actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:41:in “block (2 levels) in rende
rl
activesupport (4.2.0) lib/active_support/core_ext/benchmark.rb:12:in "block in ms'
/usr/lib/ruby/1.9.1/benchmark.rb:295:in “realtime'
activesupport (4.2.0) lib/active_support/core_ext/benchmark.rb:12:in “ms'
actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:41:in “block in render'
actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:84:in ‘cleanup_view_runtime'
activerecord (4.2.0) lib/active_record/railties/controller_runtime.rb:25:in “cleanup_view_runtime'
actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:40:in " render'
actionpack (4.2.0) lib/action_controller/metal/implicit_render.rb:10:in “default_render'
actionpack (4.2.0) lib/action_controller/metal/implicit_render.rb:5:in "send_action'
actionpack (4.2.0) lib/abstract_controller/base.rb:198:in “process_action'
actionpack (4.2.0) lib/action_controller/metal/rendering.rb:10:in “process_action'
actionpack (4.2.0) lib/abstract_controller/callbacks.rb:20:in "block in process_action'
activesupport (4.2.0) lib/active_support/callbacks.rb:117:in “call’
activesupport (4.2.0) lib/active_support/callbacks.rb:117:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in "block in halting_and_conditional'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in "block in halting_and_conditional'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:151:in “block in halting_and_conditional’
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in "block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in "block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'

activesupport (4.2.0) lib/active_support/callbacks.rb:169:in "block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call’

activesupport (4.2.0) lib/active_support/callbacks.rb:169:in "block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:234:in “call'

activesupport (4.2.0) lib/active_support/callbacks.rb:234:in "block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “call'

activesupport (4.2.0) lib/active_support/callbacks.rb:169:in “block in halting'
activesupport (4.2.0) lib/active_support/callbacks.rb:92:in “call'

activesupport (4.2.0) lib/active_support/callbacks.rb:92:in "_run_callbacks'
activesupport (4.2.0) lib/active_support/callbacks.rb:734:in ' _run_process_action_callbacks'
activesupport (4.2.0) lib/active_support/callbacks.rb:81:in ‘run_callbacks'

actionpack (4.2.0) lib/abstract_controller/callbacks.rb:19:in “process_action'

actionpack (4.2.0) lib/action_controller/metal/rescue.rb:29:in "process_action'
actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:31:in “block in process_action'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in "block in instrument'
activesupport (4.2.0) lib/active_support/notifications/instrumenter.rb:20:in "~ instrument'
activesupport (4.2.0) lib/active_support/notifications.rb:164:in "~ instrument'

actionpack (4.2.0) lib/action_controller/metal/instrumentation.rb:30:in ‘process_action'
actionpack (4.2.0) lib/action_controller/metal/params_wrapper.rb:250:in ‘process_action'
activerecord (4.2.0) lib/active_record/railties/controller_runtime.rb:18:in ‘process_action'
actionpack (4.2.0) lib/abstract_controller/base.rb:137:in “process'

actionview (4.2.0) lib/action_view/rendering.rb:30:in “process'

actionpack (4.2.0) lib/action_controller/metal.rb:195:in “dispatch'

actionpack (4.2.0) lib/action_controller/metal/rack_delegation.rb:13:in “dispatch’
actionpack (4.2.0) lib/action_controller/metal.rb:236:in “block in action'’

actionpack (4.2.0) lib/action_dispatch/routing/route_set.rb:73:in “call'

actionpack (4.2.0) lib/action_dispatch/routing/route_set.rb:73:in “dispatch’

actionpack (4.2.0) lib/action_dispatch/routing/route_set.rb:42:in "serve'

actionpack (4.2.0) lib/action_dispatch/journey/router.rb:43:in ‘block in serve'
actionpack (4.2.0) lib/action_dispatch/journey/router.rb:30:in "each'

actionpack (4.2.0) lib/action_dispatch/Jjourney/router.rb:30:in "serve'

actionpack (4.2.0) lib/action_dispatch/routing/route_set.rb:802:in ‘call'

rack-openid (1.4.2) lib/rack/openid.rb:98:in “call'

request_store (1.0.5) lib/request_store/middleware.rb:9:in “call’

rack (1.6.0) lib/rack/etag.rb:24:in “call’

rack (1.6.0) lib/rack/conditionalget.rb:25:in ‘call’

rack (1.6.0) lib/rack/head.rb:13:in “call'

actionpack—-xml_parser (1.0.1) lib/action_dispatch/xml_params_parser.rb:16:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/params_parser.rb:27:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/flash.rb:260:in “call'

rack (1.6.0) lib/rack/session/abstract/id.rb:225:in "“context'

rack (1.6.0) lib/rack/session/abstract/id.rb:220:in “call'

actionpack (4.2.0) lib/action_dispatch/middleware/cookies.rb:560:in “call'
activerecord (4.2.0) lib/active_record/query_cache.rb:36:in “call'

activerecord (4.2.0) lib/active_record/connection_adapters/abstract/connection_pool.rb:647:in
ll

actionpack (4.2.0) lib/action_dispatch/middleware/callbacks.rb:29:in “block in call'
activesupport (4.2.0) lib/active_support/callbacks.rb:88:in “call'

activesupport (4.2.0) lib/active_support/callbacks.rb:88:in "_run_callbacks'
activesupport (4.2.0) lib/active_support/callbacks.rb:734:in °~_run_call_callbacks'
activesupport (4.2.0) lib/active_support/callbacks.rb:81:in "run_callbacks'
actionpack (4.2.0) lib/action_dispatch/middleware/callbacks.rb:27:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/remote_ip.rb:78:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/debug_exceptions.rb:17:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/show_exceptions.rb:30:in ‘call'
railties (4.2.0) lib/rails/rack/logger.rb:38:in “call_app'

railties (4.2.0) lib/rails/rack/logger.rb:22:in “call'

actionpack (4.2.0) lib/action_dispatch/middleware/request_id.rb:21:in “call’

rack (1.6.0) lib/rack/methodoverride.rb:22:in ‘call’

rack (1.6.0) lib/rack/runtime.rb:18:in “call'

activesupport (4.2.0) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in “call'
actionpack (4.2.0) lib/action_dispatch/middleware/static.rb:113:in ‘call’

rack (1.6.0) lib/rack/sendfile.rb:113:in “call'

railties (4.2.0) lib/rails/engine.rb:518:in “call'

railties (4.2.0) lib/rails/application.rb:164:in “call'

railties (4.2.0) lib/rails/railtie.rb:194:in “public_send'
railties

(4.2.0)

public/dispatch.fcgi:18:in “call'

rack
rack
rack
rack

(1
(1
(1
(1

.6.0)
.6.0)
.6.0)
.6.0)

lib/rack/handler/fastcgi.
lib/rack/handler/fastcgi.
lib/rack/handler/fastcgi.
lib/rack/handler/fastcgi.

public/dispatch.fcgi:22:in " <main>'

When i manualy go into the task from the tracker where it is and remove the time the sprint tab starts to work again.
im running Redmine 3.0.1 with Scrum plugin 0.12.0

lib/rails/railtie.rb:

194:in "method_missing'

rb:69:
rb:28:
rb:27:1
rb:27:

in
in
in
in

“serve'

"block in run'
“each'

“run'

Subtasks:

To do # 1116: Check self.total_estimated_hours is defined before using it

Resolved

History

#1 - 2015-10-02 09:48 - Oriol Cardona

After checking if this method is defined it works.
You can apply this patch on file: plugins/scrum/lib/scrum/issue_patch.rb line 193:

- if
+ if

(self.is_pbi? or self.is_task?) and

(self.is_pbi? or self.is_task?) and

#2 - 2015-10-13 09:38 - Emilio Gonzalez Montaiha

- Category set to Sprint board

- Status changed from New to In progress

- Target version set to Scrum v0.13.1

- Sprint set to Sprint 24

- Position changed from 85 to 2

#3 - 2015-10-13 09:40 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved

#4 - 2015-10-13 09:41 - Emilio Gonzalez Montaina

- Description updated
(self.total_time > 0.0)
(self.total_time > 0.0) and (defined? self.total_estimated_hours)
